## ThunarSizeLabel ThunarSizeLabel |

## Functions

GtkWidget * | thunar_size_label_new ()
GtkWidget * | thunar_content_label_new ()

## Properties

gboolean | file-size-binary | Read / Write
ThunarxFileInfoList * | files | Read / Write
int | label-type | Write / Construct Only

## Types and Values

enum | ThunarSizeLabelType

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ThunarSizeLabel

## Description

## Functions

### thunar_size_label_new ()

    GtkWidget *
    thunar_size_label_new (void);

Allocates a new ThunarSizeLabel instance.

#### Returns

the newly allocated ThunarSizeLabel.

### thunar_content_label_new ()

    GtkWidget *
    thunar_content_label_new (void);

Allocates a new ThunarSizeLabel instance.

#### Returns

the newly allocated ThunarSizeLabel.

## Types and Values

### enum ThunarSizeLabelType

#### Members

THUNAR_SIZE_LABEL_SIZE |  |
THUNAR_SIZE_LABEL_CONTENT |  |
N_THUNAR_SIZE_LABEL |  |

## Property Details

### The `“file-size-binary”` property

      “file-size-binary”         gboolean

Owner: ThunarSizeLabel

Flags: Read / Write

Default value: TRUE

### The `“files”` property

      “files”                    ThunarxFileInfoList *

files.

Owner: ThunarSizeLabel

Flags: Read / Write

### The `“label-type”` property

      “label-type”               int

The ThunarSizeLabelType of this ThunarSizeLabel.

Owner: ThunarSizeLabel

Flags: Write / Construct Only

Allowed values: [0,1]

Default value: 0